loci.plugins.in

## Class DisplayHandler

- java.lang.Object
- - loci.plugins.in.DisplayHandler

- All Implemented Interfaces:
    java.util.EventListener, loci.common.StatusListener

      public class DisplayHandler
      extends java.lang.Object
      implements loci.common.StatusListener

  Logic for displaying images and metadata onscreen using ImageJ.
  Author:
    Curtis Rueden ctrueden at wisc.edu, Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ImporterOptions` | `options`
    `protected ImportProcess` | `process`
    `protected XMLWindow` | `xmlWindow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayHandler(ImportProcess process)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayDataBrowser(ij.ImagePlus imp)`
    `void` | `displayImage(ij.ImagePlus imp)` Displays the given image according to the configured options.
    `void` | `displayImage5D(ij.ImagePlus imp)`
    `void` | `displayImages(ij.ImagePlus[] imps)` Displays the given images according to the configured options.
    `void` | `displayNormal(ij.ImagePlus imp)` Displays in a normal ImageJ window.
    `XMLWindow` | `displayOMEXML()` Displays OME-XML metadata in a tree in its own window.
    `SearchableWindow` | `displayOriginalMetadata()` Displays standard metadata in a table in its own window.
    `void` | `displayROIs(ij.ImagePlus[] imps)`
    `void` | `displayView5D(ij.ImagePlus imp)`
    `void` | `statusUpdated(loci.common.StatusEvent e)` Reports status updates via ImageJ's status bar mechanism.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### process

          protected ImportProcess process

    - #### options

          protected ImporterOptions options

    - #### xmlWindow

          protected XMLWindow xmlWindow

  - ### Constructor Detail

    - #### DisplayHandler

          public DisplayHandler(ImportProcess process)

  - ### Method Detail

    - #### displayOriginalMetadata

          public SearchableWindow displayOriginalMetadata()

      Displays standard metadata in a table in its own window.

    - #### displayOMEXML

          public XMLWindow displayOMEXML()
                                  throws FormatException,
                                         java.io.IOException

      Displays OME-XML metadata in a tree in its own window.
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### displayImages

          public void displayImages(ij.ImagePlus[] imps)

      Displays the given images according to the configured options.

    - #### displayImage

          public void displayImage(ij.ImagePlus imp)

      Displays the given image according to the configured options.

    - #### displayNormal

          public void displayNormal(ij.ImagePlus imp)

      Displays in a normal ImageJ window. ImageJ will show the image as either a standard 2D image window or as a hyperstack (up to 5D, with ZCT sliders) depending on whether imp.setOpenAsHyperStack(true) has been called.

    - #### displayDataBrowser

          public void displayDataBrowser(ij.ImagePlus imp)

    - #### displayImage5D

          public void displayImage5D(ij.ImagePlus imp)

    - #### displayView5D

          public void displayView5D(ij.ImagePlus imp)

    - #### displayROIs

          public void displayROIs(ij.ImagePlus[] imps)

    - #### statusUpdated

          public void statusUpdated(loci.common.StatusEvent e)

      Reports status updates via ImageJ's status bar mechanism.
      Specified by:
        `statusUpdated` in interface `loci.common.StatusListener`

Copyright © 2026 Open Microscopy Environment